Skip to main content

Pricing Tier API

Pricing Tier API

Quick Start​

# List available operations
epilot pricing-tier

# Call an operation
epilot pricing-tier getCurrentPricingTier

Common Flags​

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operations​

Pricing Tier

getCurrentPricingTier​

Get current pricing tier of logged in user

GET /v2/pricing-tiers/me

Sample Call

epilot pricing-tier getCurrentPricingTier

With JSONata filter:

epilot pricing-tier getCurrentPricingTier --jsonata 'id'
Sample Response
{
"id": 22,
"created_date": "string",
"updated_date": "string",
"organization_id": "string",
"name": "string",
"settings": {},
"override_settings": {},
"created_by": "string",
"updated_by": "string",
"is_pure_360": true
}